hammer puppet-module list: Error: repository found more than once

06/12/2014 08:20 PM - Adam Price

Status: Closed   

Priority: Normal   

Assignee: Adam Price   

Category: Hammer   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1108096 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1108096

Description of problem:

cannot list puppet modules using hammer

always get 'Error: repository found more than once', even when repository does not exist

1. hammer -v puppet-module list --repository reprep --organization 2c9dvg

[ERROR 2014-06-11 08:41:19 Exception] Error: repository found more than once

Error: repository found more than once

[ERROR 2014-06-11 08:41:19 Exception]

HammerCLIForeman::ResolverError (repository found more than once):

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/id_resolver.rb:109:in `pick_result'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/id_resolver.rb:104:in `find_resource'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/id_resolver.rb:82:in `get_id'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/id_resolver.rb:76:in `repository_id'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:133:in `send'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:133:in `get_resource_id'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:162:in `request_params'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:159:in `each'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:159:in `request_params'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/command.rb:42:in `send_request'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:154:in `send_request'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:183:in `send_request'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:229:in `retrieve_and_print'

/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/commands.rb:203:in `execute'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'

/usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:125:in `run'

/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/bin/hammer:100

/usr/bin/hammer:19:in `load'

/usr/bin/hammer:19

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140605.0

Associated revisions

Revision c5d638f2 - 06/12/2014 08:19 PM - Adam Price

fixes #6206 - looking repositories by name, BZ 1108096

05/17/2024 1/2
Revision fde906df - 06/13/2014 02:25 PM - Adam Price

Merge pull request #4262 from komidore64/rmi6206-repository-filter-by-name

fixes #6206 - looking repositories by name, BZ 1108096

History

#1 - 06/13/2014 02:52 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:c5d638f2c3ebee0d3bc2d99eb73e865ed14d013e.

#2 - 06/13/2014 11:28 PM - Eric Helms

- Target version set to 45

- Difficulty set to easy

- Triaged set to Yes

#3 - 08/22/2014 08:34 AM - Eric Helms

- translation missing: en.field_release set to 13
